Sửa lỗi “The editor has encountered an unexpected error” khi nâng cấp WordPress 5.0

0
252

LỗiThe editor has encountered an unexpected error khi vào trình soạn thảo bài đăng là một trong những lỗi phổ biến nhất hiện nay khi các website cập nhật lên phiên bản WordPress 5.0 vừa được phát hành.

Ngày 6/12/2018 vừa rồi, WordPress chính thức phát hành phiên bản WordPress 5.0 sau một thời gian dài thử nghiệm cho tất cả các website. Đây là phiên bản WordPress cải tiến phần lớn ở công cụ chỉnh sửa bài đăng. Thay vì sử dụng công cụ chỉnh sửa bài đăng đơn giản như trước đến nay, thì WordPress 5.0 thay thế bằng công cụ kéo thả để chỉnh sửa bài đăng.

Sẽ không có gì đáng nói nếu WordPress 5.0 hoạt động tốt. Nhưng phiên bản WordPress mới này khiến cho rất nhiều website sau khi cập nhật thì không thể thêm mới hoặc chỉnh sửa được bài đăng vì lỗiThe editor has encountered an unexpected error. Cụ thể, sau khi người dùng cập nhật và truy cập vào bài đăng, thì một thông báo lỗi như sau xuất hiện:

The editor has encountered an unexpected error

Bạn không thể làm gì khác, không thể chỉnh sửa hay thêm mới bài đăng của mình.

Chi tiết về lỗi The editor has encountered an unexpected error

Lỗi này có hai nguyên nhân:

  • Xung đột plugin với công cụ chỉnh sửa nội dung mới của WordPress. Cụ thể một số plugin sau có thể xung đột với bản WordPress 5.0 mới do chưa được cập nhật: TinyMCE Advanced, hay Yoast SEO bản cũ (dưới 9.0)…
  • Các nguyên nhân khác, trong đó có nguyên nhân xung đột js với theme đang sử dụng. Cụ thể sẽ có thông báo lỗi như sau:
Lỗi WordPress 5.0

Hướng dẫn cách khắc phục lỗi The editor has encountered an unexpected error

Vì có 2 nguyên nhân nên cách khắc phục lỗi cũng sẽ tương ứng với từng nguyên nhân như vậy.

Để biết nguyên nhân lỗi là do gì, thì bạn cần click vào tùy chọn Copy Error rồi paste nó ra Notepad hoặc cái gì đó, sẽ thấy chi tiết thông báo lỗi như các ảnh trên của mình.

Nguyên nhân xung đột plugin

Cách đơn giản nhất là disable plugin đó đi, như plugin hỗ trợ trình soạn thảo là TinyMCE Advanced, tắt nó đi nhé. Hoặc cập nhật plugin lên phiên bản mới hơn (đã hỗ trợ WordPress 5.0). Với lý do xung đột với Yoast SEO thì các bạn nên tải plugin Yoast SEO Premium mới nhất của mình để cài đặt, sẽ không còn bị lỗi.

Nguyên nhân khác

Hm, mình xài theme Jnews, và không hiểu vì lý do gì mà dù đã cập nhật phiên bản Jnews v3.1.2 mới được phát hành ngày 9/12/2018 (đã tương thích với WordPress 5.0), nhưng vẫn bị lỗi The editor has encountered an unexpected error này. Trong khi đó có một số người khác dùng Jnews cập nhật lên lại không bị…

Và để khắc phục tình trạng này. Mình sẽ không sử dụng trình soạn thảo mới của WordPress 5.0 nữa (Nó tên là Gutenberg). Mình sẽ chuyển về sử dụng trình soạn thảo WordPress Classic Editor từ trước tới nay.Vì thế, để khắc phục lỗi này. Bạn chỉ cần tải và kích hoạt plugin WordPress Classic Editor trong WordPress về và cài thôi. Nó sẽ thay thế công cụ soạn thảo Gutenberg hiện tại của WordPress 5.0, và sẽ không còn bị lỗi trên nữa.

Đồng thời khi sử dụng WordPress Classic Editor, thì bạn vẫn có thể sử dụng plugin TinyMCE Advanced nhé.

Trên đây là toàn bộ nguyên nhân và hướng dẫn khắc phục lỗi The editor has encountered an unexpected error khi cập nhật WordPress 5.0. Hy vọng bài viết sẽ giúp được các bạn không còn bị lỗi này.

Nếu có vấn đề hoặc câu hỏi, các bạn có thể bình luận ở dưới để mình có thể hỗ trợ nha.